<html>
<body bgcolor="white">
<?PHP
include("config/includes/configuration");
echo "<html>\n";
echo "<link rel=stylesheet type=\"text/css\" href=\"config/includes/style.css\">\n";
if(file_exists("config/includes/tabs")){}
	else
	{
	$new_text = "----------------
Muelleimer\n";
	$file = ("config/includes/tabs");
	$fp = fopen("$file","w-");
	fwrite($fp,$new_text);
	fclose($fp);
	mkdir("eigene_bilder/Muelleimer",0777);
	chmod("eigene_bilder/Muelleimer",0777);

	mkdir("eigene_bilder/Muelleimer/jpg",0777);
	chmod("eigene_bilder/Muelleimer/jpg",0777);

	mkdir("eigene_bilder/Muelleimer/thumbs",0777);
	chmod("eigene_bilder/Muelleimer/thumbs",0777);

	mkdir("eigene_bilder/Muelleimer/tif",0777);
	chmod("eigene_bilder/Muelleimer/tif",0777);

	$file = "config/tables/Muelleimer";
	$fp = fopen ("$file","w-");
	fclose($fp);
	}

if(isset($name))
	{
	if((file_exists("eigene_bilder/$name")) || ($name == ""))
		{
		if ($name == "")
			{
			$meldung = "<div align=center><font class=error>Sie müssen einen Namen eingeben!</font></div><br><br>\n";
			}
		else
			{
			$meldung = "<div align=center><font class=error>Den Bereich \"$name\"gibt es schon!</font></div><br><br>\n";
			}
		}
	else
		{
		if(ereg("(^[0-9A-Za-z\_\-]+$)", $name, $regs))
			{
			$file = "config/tables/$name";
			$fp = fopen ("$file","w-");
			fclose($fp);

			$file = "config/includes/tabs";
			$fp = fopen ("$file","r");
			$alter_bereich = fread ($fp, filesize ($file));
			fclose ($fp);
			$neuer_bereich = "$name\n";

			$fp = fopen ("$file","w-");
			fwrite($fp,$alter_bereich);
			fwrite($fp,$neuer_bereich);
			fclose($fp);

			mkdir("eigene_bilder/$name",0777);
			chmod("eigene_bilder/$name",0777);

			mkdir("eigene_bilder/$name/jpg",0777);
			chmod("eigene_bilder/$name/jpg",0777);

			mkdir("eigene_bilder/$name/thumbs",0777);
			chmod("eigene_bilder/$name/thumbs",0777);

			mkdir("eigene_bilder/$name/tif",0777);
			chmod("eigene_bilder/$name/tif",0777);

			$meldung = "<div align=center><font class=titel>Der Bereich \"$name\" wurde angelegt<br><br></font></div>\n";
			}
		else
			{
			$meldung = "<div align=center><font class=error>Der Bereichsname darf nicht aus \"ä, ö, ü, ß,\" oder Sonderzeichen bestehen! Erlaubte Sonderzeichen sind: \"- _\"</font></div><br><br>\n";
			}
		}
	}
if(isset($aktion))
	{
	if(($aktion == "Aktion auswählen") || ($bereich == "Bereich auswählen"))
		{
                if(($bereich == "Bereich auswählen") && ($aktion == "Aktion auswählen"))
                        {
                        $meldung = "<br><div align=center><font class=error>Sie müssen einen Bereich und eine Aktion auswählen!</font><br><br><a href=javascript:history.back()>zurück!</a></div>\n";
		        }
                if(($bereich == "Bereich auswählen") && ($aktion != "Aktion auswählen"))
                        {
                        $meldung = "<br><div align=center><font class=error>Sie müssen einen Bereich auswählen!</font><br><br><a href=javascript:history.back()>zurück!</a></div>\n";
		        }
                if(($bereich != "Bereich auswählen") && ($aktion == "Aktion auswählen"))
                        {
                        $meldung = "<br><div align=center><font class=error>Sie müssen eine Aktion auswählen!</font><br><br><a href=javascript:history.back()>zurück!</a></div>\n";
		        }
                }
	else
		{
		if($aktion == Löschen)
			{
			$size = filesize("config/tables/$bereich");
			if($size > 2)
				{
				$meldung = "<br><br><div align=center><font class=error>Sie müssen den Bereich erst leeren!</font><br><br>\n<form action=tab_show.php?kopier_bereich=$bereich method=post><input type=submit value=\"Zur Tabelle $bereich\"></form></div>\n";
				}
			else
				{
				$meldung = "<br><div align=center><font class=error>Wollen Sie den Bereich \"$bereich\" wirklich löschen?</font><br><br>
<form action=new_part.php method=post>
<input type=hidden name=kopier_bereich value=$bereich><input type=hidden name=delete value=true>
<input type=submit value=\"Jep, mach ihn nieder !\">&nbsp;&nbsp;
<a href=new_part.php><img width=5% src=gifs/stop.gif border=\"0\"></a></form></div>\n";
				}
			}
		if($aktion == Umbenennen)
			{
			$meldung = "<form action=new_part.php method=post>
<input type=hidden name=kopier_bereich value=$bereich>
<br><br><div align=center><font class=anweis>Wie soll der Bereich \"$bereich\" künftig heißen?&nbsp;&nbsp;
<input type=text name=new_name>
<input type=submit value=Umbenennen>&nbsp;&nbsp;<a href=new_part.php><img width=\"30%\" src=gifs/stop.gif border=\"0\"></a></form>\n";
			}
		}
	}
if(isset($new_name))
	{
	$write_name = "$new_name\n";
	$file = "config/includes/tabs";
	$array = file($file);
	if((in_array($write_name,$array)) || ($new_name == ""))
		{
                if ($new_name == "")
                        {
                        $meldung = "<br><div align=center><font class=error>Sie müssen einen neuen Namen eingeben!</font><br><a href=javascript:history.back()>zurück!</a></div>\n";
                        }
                else
                        {
		        $meldung = "<br><br><div align=center><font class=error>Geht nicht... den Bereich \"$write_name\" gibt es schon!</font></div><br><br>\n";
		        }
                }
	else
		{
		if(ereg("(^[0-9A-Za-z\_\-]+$)", $new_name, $regs))
			{
			$end = count($array);
			$fp = fopen("$file","w-");
			for($x=0;$x<count($array);$x++)
				{
				$test = $array[$x];
				if($test != "$kopier_bereich\n")
					{
					fwrite($fp,$test);
					}
				if($test == "$kopier_bereich\n")
					{
					fwrite($fp,$write_name);
					}
				}
			fclose($fp);
			rename("eigene_bilder/$kopier_bereich","eigene_bilder/$new_name");
			rename("config/tables/$kopier_bereich","config/tables/$new_name");
			$meldung = "<br><br><div align=center><font class=titel>Der Bereich wurde umbenannt in \"$new_name\"</font></div>\n";
			}
		else
			{
			$meldung = "<div align=center><font class=error>Der Bereichsname darf nicht aus \"ä, ö, ü, ß,\" oder Sonderzeichen bestehen! Erlaubte Sonderzeichen sind: \"- _\"</font></div><br><br>\n";
			}
		}
	}
if($delete == true)
	{
	$file = "config/includes/tabs";
	$array = file($file);
	$end = count($array);
	$fp = fopen("$file","w-");
	for($x=0;$x<count($array);$x++)
		{
		$test = $array[$x];
		if($test != "$kopier_bereich\n")
			{
			fwrite($fp,$test);
			}
		}
	fclose($fp);

	unlink("config/tables/$kopier_bereich");
	rmdir("eigene_bilder/$kopier_bereich/jpg");
	rmdir("eigene_bilder/$kopier_bereich/tif");
	rmdir("eigene_bilder/$kopier_bereich/thumbs");
	rmdir("eigene_bilder/$kopier_bereich");
	$meldung = "<br><br><div align=center><font class=titel>Der Bereich wurde \"$kopier_bereich\" wurde gelöscht...</font></div>\n";
	}
//////////////////////////////////////////////////////////
        include("config/includes/linkleiste");
//////////////////////////////////////////////////////////

echo "<br><div align=center><font class=h1>Bereiche verwalten</font></div><br><br>\n";
if(!isset($aktion) && ($delete != true) && !isset($new_name))
	{
	//////////////////////////////////////////////////////////
	///	Neuen Bereich anlegen!
	echo "<div align=center><table class=rahmentab width=80% cellspacing=5 cellpadding=4 ><tr>\n";
	echo "<td class=tab width=100% valign=top><div align=center><font size=4 color=#008080><u><strong>Neuen Bereich anlegen</strong></u></font></div>\n";
	echo "<br><form action=new_part.php method=post>\n";

	if(isset($name))
		{
		echo $meldung;
		}
	echo "<font class=anweis>Geben Sie hier den Namen des neuen Bereichs an: <input type=text name=name></font><br><br>\n";
	echo "<div align=center><input type=submit value=\"Diesen Bereich anlegen\"></div></td></tr></table></form></div><br>\n";
	//////////////////////////////////////////////////////////
	///	Ende neuen Bereich anlegen!
	}
//////////////////////////////////////////////////////////
///	Bereiche umbenennen oder löschen!
if(file_exists("config/includes/tabs"))
echo "<div align=center><table class=rahmentab width=80% cellspacing=5 cellpadding=4>\n";
echo "<tr><td class=tab width=10% valign=top><div align=center><font size=4 color=#008080><u><strong>Bereiche umbenennen oder löschen</strong></u></font></div>\n";
if(isset($aktion))
	{
	echo $meldung;
	}
if(isset($new_name))
	{
	echo $meldung;
	}
if($delete == true)
	{
	echo $meldung;
	}
echo "<form action=new_part.php method=post><br><div align=center>\n";
echo "<select name=bereich size=1>\n";
$file = file("config/includes/tabs");
usort($file,"strnatcasecmp");
echo "<option>Bereich auswählen</option>\n";
for($y=1;$y<count($file);$y++)
	{
	if($file[$y] != "Muelleimer\n")
		{
		echo "<option>$file[$y]</option>\n";
		}
	next($file);
	}
echo "</select>&nbsp&nbsp&nbsp&nbsp\n";
echo "<select name=aktion size=1><option>Aktion auswählen</option><option>Löschen</option><option>Umbenennen</option>\n";
echo "</select>&nbsp&nbsp&nbsp&nbsp<input type=submit value=\"Los !\"></form></td></tr></table><br><br><br>\n";
///////////////////////////////////////////////////////////
///	Ende Bereiche umbenennen oder löschen!
if(isset($aktion) || ($delete == true) || isset($new_name))
	{
	//////////////////////////////////////////////////////////
	///	Neuen Bereich anlegen!
	echo "<div align=center><table class=rahmentab width=80% cellspacing=5 cellpadding=4 ><tr>\n";
	echo "<td class=tab width=100% valign=top><div align=center><font size=4 color=#008080><u><strong>Neuen Bereich anlegen</strong></u></font></div>\n";
	echo "<br><form action=new_part.php method=post>\n";

	if(isset($name))
		{
		echo $meldung;
		}
	echo "<font class=anweis>Geben Sie hier den Namen des neuen Bereichs an: <input type=text name=name></font><br><br>\n";
	echo "<div align=center><input type=submit value=\"Diesen Bereich anlegen\"></div></td></tr></table></form></div><br>\n";
	//////////////////////////////////////////////////////////
	///	Ende neuen Bereich anlegen!
	}
?>
</body>
</html>
